{% extends 'layout.html.twig' %}


{% block title %}TWIM Profile - Signup{% endblock %}

{% block body_id 'desktop_signup' %}

{% block body %}

    {# TODO: do a partial view of signup the second step and call here, mentre lo step 1 metti i dati in input hidden #}

    {% set default_timezone = app.session.get('timezone') %}

    <div class="container">

        <div id="general_error" class="row"><label>
                {% if errors is defined and errors.general is defined %}
                    <span class="bsp-err-spn invalid-feedback d-block">
                        <span class="d-block">
                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                            <span class="form-error-message">
                                {{ errors.general }}
                            </span>
                        </span>
                    </span>
                {% endif %}
            </label></div>

        <form action="{{ url('private_registration_social_user', {'user_id':user.id,'token':token}) }}" method="post">

            {# the argument of csrf_token() is an arbitrary value used to generate the token #}
            <input type="hidden" name="token" value="{{ csrf_token('registration_social') }}" />

            <div class="row">
                <div class="col">

                    <div class="form-group">
                        <label for="signup_username" class="required">{{ 'username.label'|trans({}, 'frontends') }}
                            {% if errors is defined and errors.username is defined %}
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">
                                            {{ errors.username }}
                                        </span>
                                    </span>
                                </span>
                            {% endif %}
                        </label>
                        <input type="text" placeholder="i.e. Twimuser1" value="{{ user.username is defined and user.username is not empty ? user.username }}" id="signup_username"
                               data-username-validation="{{ url('private_username_validation') }}" data-id-error="signup_username" name="username" required="required" maxlength="180"
                               pattern=".{2,}" class="form-control check-al-exist {{ errors is defined and errors.username is defined ? 'is-invalid' }}" autofocus autocomplete="off" readonly
                               onfocus="this.removeAttribute('readonly');">
                    </div>

                    <div class="form-group">
                        <label for="signup_genre">{{ 'genre.label'|trans({}, 'frontends') }}
                            {% if errors is defined and errors.genre is defined %}
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.genre }}</span>
                                    </span>
                                </span>
                            {% endif %}
                        </label>
                        <select class="form-control {{ errors is defined and errors.genre is defined ? 'is-invalid' }}" id="signup_genre" name="genre" required>
                            <option value="">{{ 'select.genre'|trans({}, 'frontends') }}</option>
                            <option value="0" {{ user.gender is defined and user.gender=='male' ? 'selected' }}>{{ 'male'|trans() }}</option>
                            <option value="1" {{ user.gender is defined and user.gender=='female' ? 'selected' }}>{{ 'female'|trans() }}</option>
                        </select>
                    </div>

                    <div class="form-group mb-4">
                        <label for="signup_timezone">{{ 'timezone.label'|trans({}, 'frontends') }}
                            {% if errors is defined and errors.timezone is defined %}
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.timezone }}</span>
                                    </span>
                                </span>
                            {% endif %}
                        </label>
                        <select class="form-control {{ errors is defined and errors.timezone is defined ? 'is-invalid' }}" id="signup_timezone" name="timezone" required>
                            <option value="">{{ 'select.timezone'|trans({}, 'frontends') }}</option>
                            {% if listTimezone is defined and listTimezone is not empty %}
                                {% for id,timezone in listTimezone %}
                                    <option value="{{ id }}" {{ default_timezone in timezone ? 'selected' }}>{{ timezone }}</option>
                                {% endfor %}
                            {% endif %}
                        </select>
                    </div>

                    <div id="dv-g-recaptcha-container">
                        {% if errors is defined and errors.recaptcha is defined %}
                            <label>
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.recaptcha }}</span>
                                    </span>
                                </span>
                            </label>
                        {% endif %}
                        <div class="g-recaptcha" data-sitekey="6Ld2V3MUAAAAAIIK37v0Re0MCHVEhFWa4EOIRk21"></div>
                    </div>

                    <div class="form-check mt-4">
                        <div id="err-lab-signup-terms"></div>
                        <input class="form-check-input {{ errors is defined and errors.terms is defined ? 'is-invalid' }}" type="checkbox" value="" name="accepting_terms" id="signup_terms" required>
                        <label class="form-check-label" for="signup_terms">
                            {{ 'agree.terms.service'|trans({}, 'frontends')|raw }}
                            {% if errors is defined and errors.terms is defined %}
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.terms }}</span>
                                    </span>
                                </span>
                            {% endif %}
                        </label>
                    </div>

                    <div class="form-check mt-3">
                        <div id="err-lab-signup-privacy"></div>
                        <input class="form-check-input {{ errors is defined and errors.privacy is defined ? 'is-invalid' }}" type="checkbox" value="" name="accepting_privacy" id="signup_privacy" required>
                        <label class="form-check-label" for="signup_privacy">
                            {{ 'agree.privacy.and.cookies'|trans({}, 'frontends')|raw }}
                            {% if errors is defined and errors.privacy is defined %}
                                <span class="bsp-err-spn invalid-feedback d-block">
                                    <span class="d-block">
                                        <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                                        <span class="form-error-message">{{ errors.privacy }}</span>
                                    </span>
                                </span>
                            {% endif %}
                        </label>
                    </div>

                    <button class="btn btn-primary mt-3 mb-3 btn-block" type="submit">{{ 'create.account.label'|trans({}, 'frontends') }}</button>

                </div>
            </div>

        </form>

    </div>{#end container#}
{% endblock %}

{% block javascripts %}
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <script src="{{ asset('build/js/signup_login.js') }}"></script>
{% endblock %}